# $Id: perl-User-Identity.spec 5988 2007-11-13 23:05:22Z dag $
# Authority: dries
# Upstream: Mark Overmeer <perl$overmeer,net>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name User-Identity

Summary: Maintains info about a physical person
Name: perl-User-Identity
Version: 0.92
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/User-Identity/

Source: http://www.cpan.org/modules/by-module/User/User-Identity-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Maintains info about a physical person.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man3/Mail::Identity.3pm*
%doc %{_mandir}/man3/User::Identity.3pm*
%doc %{_mandir}/man3/User::Identity::*.3pm*
%dir %{perl_vendorlib}/Mail/
%{perl_vendorlib}/Mail/Identity.pm
%{perl_vendorlib}/Mail/Identity.pod
%dir %{perl_vendorlib}/User/
%{perl_vendorlib}/User/Identity/
%{perl_vendorlib}/User/Identity.pm
%{perl_vendorlib}/User/Identity.pod

%changelog
* Tue Nov 13 2007 Dag Wieers <dag@wieers.com> - 0.92-1 #5988
- Updated to release 0.92.

* Sun Apr 29 2007 Dries Verachtert <dries@ulyssis.org> - 0.91-1
- Initial package.
